# Uses of Interface
org.eclipse.mat.query.annotations.descriptors.IAnnotatedObjectDescriptor

Packages that use IAnnotatedObjectDescriptor
Package
Description
org.eclipse.mat.internal.acquire
Support for collecting arguments for acquiring heap dumps from running programs.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).

## Uses of IAnnotatedObjectDescriptor in org.eclipse.mat.internal.acquire

Classes in org.eclipse.mat.internal.acquire that implement IAnnotatedObjectDescriptor
Modifier and Type
Class
Description
`class`
`HeapDumpProviderDescriptor`
`class`
`VmInfoDescriptor`

## Uses of IAnnotatedObjectDescriptor in org.eclipse.mat.query.registry

Classes in org.eclipse.mat.query.registry that implement IAnnotatedObjectDescriptor
Modifier and Type
Class
Description
`class`
`AnnotatedObjectDescriptor`
A description of the meta information attached to a class such as a query or heap dump provider.
`class`
`QueryDescriptor`
A description of a query to be run on a snapshot, though this class is independent of the actual snapshot and uses IQueryContext.
Methods in org.eclipse.mat.query.registry that return IAnnotatedObjectDescriptor
Modifier and Type
Method
Description
`IAnnotatedObjectDescriptor`
AnnotatedObjectArgumentsSet.`getDescriptor()`
Constructors in org.eclipse.mat.query.registry with parameters of type IAnnotatedObjectDescriptor
Modifier
Constructor
Description
``
`AnnotatedObjectArgumentsSet(IAnnotatedObjectDescriptor descriptor)`

## Uses of IAnnotatedObjectDescriptor in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return IAnnotatedObjectDescriptor
Modifier and Type
Method
Description
`IAnnotatedObjectDescriptor`
SnapshotQuery.`getDescriptor()`
Get a descriptor for the query.

## Uses of IAnnotatedObjectDescriptor in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire that return IAnnotatedObjectDescriptor
Modifier and Type
Method
Description
`IAnnotatedObjectDescriptor`
ProviderArgumentsTable.`getProviderDescriptor()`

## Uses of IAnnotatedObjectDescriptor in org.eclipse.mat.ui.internal.browser

Methods in org.eclipse.mat.ui.internal.browser that return IAnnotatedObjectDescriptor
Modifier and Type
Method
Description
`IAnnotatedObjectDescriptor`
QueryContextHelp.`getQuery()`
Constructors in org.eclipse.mat.ui.internal.browser with parameters of type IAnnotatedObjectDescriptor
Modifier
Constructor
Description
``
`QueryContextHelp(Shell parent, IAnnotatedObjectDescriptor query, IQueryContext queryContext, Rectangle bounds)`
``
`QueryContextHelp(Shell shell, IAnnotatedObjectDescriptor queryDescriptor, Rectangle helpBounds)`